
Base Distribution - Story # 45973

Work Package # 45020 (Closed): Content Editing Stability and Features

Status: Closed Priority: Could have
Author: Aske Ertmann Category: Content Editing
Created: 2013-03-02 Assigned To: Adrian Föder
Updated: 2014-11-02 Due date:
Subject: As a content editor I want improved image handling
Description

    -  Title
    -  Alt
    -  Description (caption)
    -  Link
    -  Alignment
    -  Caption alignment

Subtasks:
Task # 48072: Remove image from image property Closed
Task # 49927: Remove image caption alignment Closed
Task # 49937: Make multiple image selection possible Closed
Task # 49938: Add crop aspect ratio lock presets Closed
Task # 49939: Consider replacing image alignment with layout Closed
Task # 51468: Image preview is not reset after cancelling changes in inspector Closed
Related issues:
related to Base Distribution - Story # 46526: Media/Scheme aware URL handler New 2013-03-22

Associated revisions
Revision 5d587a59 - 2013-04-26 13:22 - Adrian Föder

[FEATURE] Provide additional image attributes

This additionally adds alignment, alt. text, title,
link, caption and captionAlignment properties
to the Image and TextWithImage node types.

Change-Id: Iae94312ad17e3dc9c172eaed9b1e3db7b85aea0e
Resolves: #45973

History
#1 - 2013-03-15 10:26 - Adrian Föder
- Assigned To set to Adrian Föder

a first draft for the "alt" attribute can be found here; https://review.typo3.org/#/c/18904/ feel free to already comment on that.

#2 - 2013-04-07 12:26 - Aske Ertmann
- Category set to Content Editing
- Status changed from New to Accepted
#3 - 2013-04-07 12:26 - Aske Ertmann
- % Done changed from 0 to 80

#4 - 2013-04-10 12:13 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18904

#5 - 2013-04-23 15:49 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18904

#6 - 2013-04-23 16:13 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18904

#7 - 2013-04-26 13:22 - Gerrit Code Review

Patch set 11 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18904

#8 - 2013-04-26 14:36 - Adrian Föder
- Status changed from Accepted to Resolved
- % Done changed from 80 to 100

Applied in changeset commit:5d587a59be495bf54f8bfb8098a3c6cb5bbd8e9c.

#9 - 2014-11-02 18:22 - Aske Ertmann
- Status changed from Resolved to Closed
